systemd-devel-230-12.1.mga6.i586.rpm


Advertisement

Description

systemd-devel - Systemd development files

Property Value
Distribution Mageia 6.1
Repository Mageia Core Updates i586
Package filename systemd-devel-230-12.1.mga6.i586.rpm
Package name systemd-devel
Package version 230
Package release 12.1.mga6
Package architecture i586
Package type rpm
Category Development/C
Homepage http://www.freedesktop.org/wiki/Software/systemd
License GPLv2+
Maintainer -
Download size 32.04 KB
Installed size 87.09 KB
This package provides the development files for systemd.

Alternatives

Package Version Architecture Repository
systemd-devel-230-12.4.mga6.i586.rpm 230 i586 Mageia Core Updates Testing
systemd-devel-230-12.4.mga6.x86_64.rpm 230 x86_64 Mageia Core Updates Testing
systemd-devel-230-12.3.mga6.i586.rpm 230 i586 Mageia Core Updates
systemd-devel-230-12.3.mga6.x86_64.rpm 230 x86_64 Mageia Core Updates
systemd-devel-230-12.2.mga6.i586.rpm 230 i586 Mageia Core Updates
systemd-devel-230-12.2.mga6.x86_64.rpm 230 x86_64 Mageia Core Updates
systemd-devel-230-12.1.mga6.x86_64.rpm 230 x86_64 Mageia Core Updates
systemd-devel-230-12.mga6.i586.rpm 230 i586 Mageia Core
systemd-devel-230-12.mga6.x86_64.rpm 230 x86_64 Mageia Core
systemd-devel - - -

Requires

Name Value
devel(libgcc_s) -
devel(libgcrypt) -
devel(liblzma) -
libsystemd0 == 230-12.1.mga6
pkgconfig -

Provides

Name Value
devel(libsystemd) -
devel(libsystemd-daemon) -
devel(libsystemd-id128) -
devel(libsystemd-journal) -
devel(libsystemd-login) -
libsystemd-daemon-devel == 230-12.1.mga6
libsystemd-daemon0-devel == 230-12.1.mga6
libsystemd-id128-devel == 230-12.1.mga6
libsystemd-id1280-devel == 230-12.1.mga6
libsystemd-journal-devel == 230-12.1.mga6
libsystemd-journal0-devel == 230-12.1.mga6
libsystemd-login-devel == 230-12.1.mga6
libsystemd-login0-devel == 230-12.1.mga6
pkgconfig(libsystemd) == 230
pkgconfig(systemd) == 230
systemd-devel == 230-12.1.mga6
systemd-devel(x86-32) == 230-12.1.mga6

Conflicts

Name Value
systemd <= 35-4

Obsoletes

Name Value
libsystemd-daemon-devel < 186
libsystemd-daemon0-devel < 185
libsystemd-id128-devel < 186
libsystemd-id1280-devel < 185
libsystemd-journal-devel < 186
libsystemd-journal0-devel < 185
libsystemd-login-devel < 186
libsystemd-login0-devel < 185

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package systemd-devel-230-12.1.mga6.i586.rpm
Source Package systemd-230-12.1.mga6.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install systemd-devel rpm package:
    # urpmi systemd-devel

Files

Path
/usr/include/systemd/_sd-common.h
/usr/include/systemd/sd-bus-protocol.h
/usr/include/systemd/sd-bus-vtable.h
/usr/include/systemd/sd-bus.h
/usr/include/systemd/sd-daemon.h
/usr/include/systemd/sd-event.h
/usr/include/systemd/sd-id128.h
/usr/include/systemd/sd-journal.h
/usr/include/systemd/sd-login.h
/usr/include/systemd/sd-messages.h
/usr/lib/libsystemd.so
/usr/lib/pkgconfig/libsystemd.pc
/usr/lib/rpm/macros.d/macros.systemd
/usr/share/pkgconfig/systemd.pc

Changelog

2017-08-14 - doktor5000 <doktor5000> 230-12.1.mga6
+ Revision: 1140301
- added fix to prevent segfault when using systemctl set-default (mga#21356)
2017-06-29 - tmb <tmb> 230-12.mga6
+ Revision: 1108690
- resolved: simplify alloc size calculation (CVE-2017-9445, mga#21159)
2017-06-02 - neoclust <neoclust> 230-11.mga6
+ Revision: 1105817
- Add P1000 - Fixes  CVE-2017-9217 (mga#20968)
2017-05-07 - tmb <tmb> 230-10.mga6
+ Revision: 1099541
- tmpfiles: downgrade error message when operation is not supported (mga#20753)
2017-02-09 - daviddavid <daviddavid> 230-9.mga6
+ Revision: 1085221
- backport and rebase upstream patch for gperf 3.1 api change
2017-01-16 - tv <tv> 230-8.mga6
+ Revision: 1081988
- remove BR on qemu
- disable systemd-timesyncd by default (mga#15019, mga#15534, mga#17091, mga#19113)
2016-11-30 - ngompa <ngompa> 230-6.mga6
+ Revision: 1071259
- Remove Conflicts on plymouth-quit.service to fix prefdm starting sddm (mga#19216, mga#19781, mga#19782)
2016-10-02 - colin <colin> 230-5.mga6
+ Revision: 1058131
- Add upstream fixes for CVE-2016-7795 mga#19494
2016-08-31 - colin <colin> 230-4.mga6
+ Revision: 1049609
- Hopefully fully fix rfkill stop job queue blockage mga#16647
2016-06-23 - tmb <tmb> 230-3.mga6
+ Revision: 1037329
- silence udev version print during boot as it breaks splash

See Also

Package Description
systemd-units-230-12.1.mga6.i586.rpm Configuration files, directories and installation tool for systemd
systemd-units-230-12.2.mga6.i586.rpm Configuration files, directories and installation tool for systemd
systemd-units-230-12.3.mga6.i586.rpm Configuration files, directories and installation tool for systemd
systemsettings-5.12.2-1.mga6.i586.rpm Plasma System Settings
systemsettings-handbook-5.12.2-1.mga6.noarch.rpm systemsettings Handbook
taisei-1.1.2-1.mga6.i586.rpm Taisei is a fan-made, Open Source clone of the Touhou series
tar-1.31-1.1.mga6.i586.rpm A GNU file archiving program
tar-1.31-1.mga6.i586.rpm A GNU file archiving program
task-esteid-3.13.3-1.mga6.noarch.rpm Metapackage for Estonian ID card software
task-esteid-4.2.0-1.mga6.noarch.rpm Metapackage for Estonian ID card software
task-lxqt-0.12.0-2.mga6.noarch.rpm Metapackage for LXQt
task-lxqt-minimal-0.12.0-2.mga6.noarch.rpm Minimal dependencies needed for LXQt
task-obsolete-6-128.3.mga6.noarch.rpm Meta package obsoleting old packages
task-obsolete-6-128.4.mga6.noarch.rpm Meta package obsoleting old packages
task-obsolete-6-128.mga6.noarch.rpm Meta package obsoleting old packages
Advertisement
Advertisement